//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "HauptFormUnit.h"
#include "VKRechnungUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
THauptForm *HauptForm;

//---------------------------------------------------------------------------
// Constructor des Hauptfensters
//---------------------------------------------------------------------------
__fastcall THauptForm::THauptForm(TComponent* Owner)
        : TForm(Owner)
{
   // Sptestens an dieser Stelle Vorbereitungen treffen fr die
   // Anzeige im Hauptprogramm, z.B. Daten aus einer Datenbank lesen
   // etc. oder ein Objekt zur Datenaufbewahrung anlegen
}

//---------------------------------------------------------------------------
void __fastcall THauptForm::B_VKPreisClick(TObject *Sender)
{
   // Unterfenster dynamisch ffnen, die bergabe von this
   // kennzeichnet den Besitzer des Unterfensters
   TVKRechnung *pTVKRechnung = new TVKRechnung(this);

   // Unterfenster synchronisiert (modal) anzeigen, d.h. warten bis
   // das Unterfenster geschlossen wurde und dann hier weitermachen
   pTVKRechnung->ShowModal();

   // wenn das Unterfenster wieder zu ist, dann den dynamisch angelegten
   // Speicherplatz wieder freigeben
   delete pTVKRechnung;
}
//---------------------------------------------------------------------------
